await seam.accessCodes.unmanaged.get({
access_code_id: "41b984ec-1b74-48cd-ba68-16660cd792b6",
});
/*
{
"access_code_id": "41b984ec-1b74-48cd-ba68-16660cd792b6",
"code": "1234",
"created_at": "2025-06-16T16:54:17.946283Z",
"device_id": "6047cb40-73e5-4517-85c2-2664c2e4eca1",
"ends_at": "2025-06-23T16:54:17.946261Z",
"errors": [],
"is_managed": false,
"name": "My Unmanaged Access Code",
"starts_at": "2025-06-21T16:54:17.946261Z",
"status": "set",
"type": "time_bound",
"warnings": [],
"workspace_id": "750fc0bc-4450-4356-8d9f-18c6a3a6b2c7"
}
*/{
"access_code": {
"access_code_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_status": "<string>",
"errors": [
{
"error_code": "<string>",
"message": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"is_managed": false,
"name": "<string>",
"status": "set",
"type": "time_bound",
"warnings": [
{
"error_code": "<string>",
"message": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cannot_be_managed": true,
"cannot_delete_unmanaged_access_code": true,
"dormakaba_oracode_metadata": {
"is_cancellable": true,
"is_early_checkin_able": true,
"is_extendable": true,
"is_overridable": true,
"site_name": "<string>",
"stay_id": 123,
"user_level_id": "<string>",
"user_level_name": "<string>"
},
"ends_at": "2023-11-07T05:31:56Z",
"starts_at": "2023-11-07T05:31:56Z"
}
}Get an Unmanaged Access Code
Returns a specified unmanaged access code.
You must specify either access_code_id or both device_id and code.
You must include at least one request parameter.
await seam.accessCodes.unmanaged.get({
access_code_id: "41b984ec-1b74-48cd-ba68-16660cd792b6",
});
/*
{
"access_code_id": "41b984ec-1b74-48cd-ba68-16660cd792b6",
"code": "1234",
"created_at": "2025-06-16T16:54:17.946283Z",
"device_id": "6047cb40-73e5-4517-85c2-2664c2e4eca1",
"ends_at": "2025-06-23T16:54:17.946261Z",
"errors": [],
"is_managed": false,
"name": "My Unmanaged Access Code",
"starts_at": "2025-06-21T16:54:17.946261Z",
"status": "set",
"type": "time_bound",
"warnings": [],
"workspace_id": "750fc0bc-4450-4356-8d9f-18c6a3a6b2c7"
}
*/{
"access_code": {
"access_code_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_status": "<string>",
"errors": [
{
"error_code": "<string>",
"message": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"is_managed": false,
"name": "<string>",
"status": "set",
"type": "time_bound",
"warnings": [
{
"error_code": "<string>",
"message": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cannot_be_managed": true,
"cannot_delete_unmanaged_access_code": true,
"dormakaba_oracode_metadata": {
"is_cancellable": true,
"is_early_checkin_able": true,
"is_extendable": true,
"is_overridable": true,
"site_name": "<string>",
"stay_id": 123,
"user_level_id": "<string>",
"user_level_name": "<string>"
},
"ends_at": "2023-11-07T05:31:56Z",
"starts_at": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
ID of the device containing the unmanaged access code that you want to get. You must specify either access_code_id or both device_id and code.
ID of the unmanaged access code that you want to get. You must specify either access_code_id or both device_id and code.
Code of the unmanaged access code that you want to get. You must specify either access_code_id or both device_id and code.
1Response
OK
Represents an unmanaged smart lock access code. See the unmanaged_access_code object.
Show child attributes
Show child attributes
Was this page helpful?